Bug 10232 - autofs daemon will not mount NFS volume on a subdirectory
autofs daemon will not mount NFS volume on a subdirectory
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-03-19 12:56 EST by Matthew Saltzman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-20 08:13:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2000-03-19 12:56:00 EST

	/net    /etc/auto.net   --timeout 60


	server/var/remotedir	-rw,hard,intr	server:/var/remotedir
	remotedir		-rw,hard,intr	server:/var/remotedir

Issuing "cd /net/remotedir" automatically mounts the directory
correctly, but issuing "cd /net/server/var/remotedir fails to
mount the remote volume at all.  The user sees:

	/net/server/var/remotedir/: No such file or directory.

In /var/log/messages:

	yankee automount[13037]: attempting to mount entry /net/server
	yankee automount[31810]: lookup(file): lookup for server failed

This fails with the RH6.1 stock kernel and autofs RPMs and with Rawhide
kernel and autofs rebuilt on an otherwise stock RH6.1 system.  A similar
automount configuration on Solaris works just fine, so I'm pretty sure
it's not on the server end (although the server is a Solaris 2.6 machine).
Comment 1 Nalin Dahyabhai 2000-03-20 08:13:59 EST
This is a missing feature in all versions of autofs 3.x, and is being
fixed by its authors for 4.x and 5.x.  See Jeremy Fitzharding's web page
(http://www.goop.org/~jeremy/autofs/) for full details.

Note You need to log in before you can comment on or make changes to this bug.